NX Open C++ Reference Guide
|
Represents a Lineup feature builder
To create a new instance of this class, use Die::DieCollection::Lineup
Created in NX4.0.0.
More...
Public Member Functions | |
NXOpen::Vector3d | FlowDirection () |
Returns the flow direction of the lineup Created in NX7.5.0. | |
std::vector< NXString > | GetDetails () |
Gets the detailed description of the lineup. | |
std::vector< NXOpen::Body * > | GetProductBodies () |
Gets the product sheet bodies of the lineup. | |
NXOpen::Point3d | Origin () |
Returns the origin of the lineup Created in NX4.0.0. | |
NXOpen::Vector3d | PressDirection () |
Returns the press direction of the lineup Created in NX7.5.0. | |
void | SetDetails (std::vector< NXString > &strings) |
Sets the detailed description of the lineup Created in NX4.0.0. | |
void | SetFlowDirection (const NXOpen::Vector3d &flowDirection) |
Sets the flow direction of the lineup Created in NX7.5.0. | |
void | SetOrigin (const NXOpen::Point3d &origin) |
Sets the origin of the lineup Created in NX4.0.0. | |
void | SetPressDirection (const NXOpen::Vector3d &pressDirection) |
Sets the press direction of the lineup Created in NX7.5.0. | |
void | SetProductBodies (const std::vector< NXOpen::Body * > &objects) |
Sets the product sheet bodies of the lineup Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Lineup feature builder
To create a new instance of this class, use Die::DieCollection::Lineup
Created in NX4.0.0.
NXOpen::Vector3d NXOpen::Die::LineupBuilder::FlowDirection | ( | ) |
Returns the flow direction of the lineup
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXString> NXOpen::Die::LineupBuilder::GetDetails | ( | ) |
Gets the detailed description of the lineup.
std::vector<NXOpen::Body *> NXOpen::Die::LineupBuilder::GetProductBodies | ( | ) |
Gets the product sheet bodies of the lineup.
NXOpen::Point3d NXOpen::Die::LineupBuilder::Origin | ( | ) |
Returns the origin of the lineup
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Vector3d NXOpen::Die::LineupBuilder::PressDirection | ( | ) |
Returns the press direction of the lineup
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
void NXOpen::Die::LineupBuilder::SetDetails | ( | std::vector< NXString > & | strings | ) |
Sets the detailed description of the lineup
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
strings | detail strings NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::LineupBuilder::SetFlowDirection | ( | const NXOpen::Vector3d & | flowDirection | ) |
Sets the flow direction of the lineup
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
flowDirection | flowdirection |
void NXOpen::Die::LineupBuilder::SetOrigin | ( | const NXOpen::Point3d & | origin | ) |
Sets the origin of the lineup
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
origin | origin |
void NXOpen::Die::LineupBuilder::SetPressDirection | ( | const NXOpen::Vector3d & | pressDirection | ) |
Sets the press direction of the lineup
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
pressDirection | pressdirection |
void NXOpen::Die::LineupBuilder::SetProductBodies | ( | const std::vector< NXOpen::Body * > & | objects | ) |
Sets the product sheet bodies of the lineup
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
objects | objects |